Bug 983611 - Cloud guest images needs to have "NOZEROCONF=yes" in /etc/sysconfig/network
Summary: Cloud guest images needs to have "NOZEROCONF=yes" in /etc/sysconfig/network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: guest-images
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 997041
TreeView+ depends on / blocked
 
Reported: 2013-07-11 14:37 UTC by Etsuji Nakai
Modified: 2016-04-18 06:45 UTC (History)
7 users (show)

Fixed In Version: rhel-guest-image-6.5-20130926.0.el6
Doc Type: Bug Fix
Doc Text:
* Metadata access is handled by the network node, and the cloud-init service uses the metadata at startup time. Previously, the cloud-init service did not have "NOZEROCONF=yes" configured. Consequently, access to the subnet 169.254.0.0/16 range was not routed to the network node, so the cloud-init service failed to work. This update adds "NOZEROCONF=yes" to cloud images in the /etc/sysconfig/network file. Users should avoid turning on the zeroconf route in these images. To disable the zeroconf route at system boot time, edit the /etc/sysconfig/network file as root and add "NOZEROCONF=yes" to a new line at the end of the file.
Clone Of:
Environment:
Last Closed: 2013-11-22 00:22:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1735 normal SHIPPED_LIVE rhel-guest-image bug fix and enhancement update 2013-11-20 22:04:16 UTC

Description Etsuji Nakai 2013-07-11 14:37:01 UTC
Description of problem:

Cloud guest images need to have "NOZEROCONF=yes" in /etc/sysconfig/network so that it works well as an openstack guest. (At least when ovs-plugin is used with openstack Neutron/Quantum.)

Without it, it fails to access metadata via http://169.254.169.254

This is because:

- Metadata access is handled by the network node.
- Without "NOZEROCONF=yes", access to the subnet 169.254.0.0/16 is not routed to the network node because of the following routing table entiry. It comes from the APIPA specification.

$ route -n | grep 169.254
169.254.0.0     0.0.0.0         255.255.0.0     U     1002   0        0 em1

The image you can find at https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=16952 lacks "NOZEROCONF=yes" as below.

$ virt-copy-out -a rhel-server-x86_64-kvm-6.4_20130130.0-4.qcow2 /etc/sysconfig/network /tmp/
$ cat /tmp/network
NETWORKING=yes
NETWORKING_IPV6=no
HOSTNAME=localhost.localdomain

Especially, the image above contains the cloud-init service and it uses the metadata at the startup time. So in the current image, cloud-int fails to work.

Comment 6 Wei Shi 2013-11-03 13:05:55 UTC
Verified:
  rhel-guest-image-6-6.5-20131101.2-1-sda.qcow2

-bash-4.1# cat /etc/sysconfig/network
NETWORKING=yes
NETWORKING_IPV6=no
HOSTNAME=localhost.localdomain
NOZEROCONF=yes
-bash-4.1#

Comment 7 errata-xmlrpc 2013-11-22 00:22:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1735.html


Note You need to log in before you can comment on or make changes to this bug.